DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
dcmtk::log4cplus::spi::LoggerFactory Class Referenceabstract

Implement this interface to create new instances of Logger or a sub-class of Logger. More...

Inheritance diagram for dcmtk::log4cplus::spi::LoggerFactory:

## Public Member Functions
virtual Logger | makeNewLoggerInstance (const log4cplus::tstring &name, Hierarchy &h)=0
| Creates a new `Logger` object.

## Detailed Description

Implement this interface to create new instances of Logger or a sub-class of Logger.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/spi/logfact.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2